Subject: Re: bug#31341: 26.1; setting ispell-base-dicts-override-alist no longer working

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 May 2018 18:25:23 +0300

> From: Anders Johansson <[email-masked]>
> Date: Wed, 02 May 2018 17:05:10 +0200
> 
> After updating to the 26.1 release candidate the custom 
> dictionaries I have added via ispell-base-dicts-override-alist are 
> no longer added.
> 
> 
> I believe that this bug is due to ispell.el being compiled with 
> lexical-binding since 26.1, which means that the value of 
> ispell-base-dicts-override-alist set via 
> ispell-initialize-spellchecker-hook will no longer be in scope in 
> the body of ispell-set-spellchecker-params.
> (This is the recommended usage in the docstring of 
> ispell-initialize-spellchecker-hook).
> 
> I guess some other mechanism would have to be devised when using 
> lexical-binding.

Does recompiling ispell.el without lexical-binding solve this problem?

Also, can you please prepare a short recipe that can be used to
reproduce the problem with ispell.elc as provided in the tarball?

Thanks.